2

Based on https://superuser.com/questions/1583159/secure-connection-failed-to-old-printer-with-https I was thinking:

Can socat (or similar) be used to connect to the printer with an old https version and set up a local http port that I can point the browser to?

Something like:

socat TCP4-LISTEN:8000 ssl:myprinter:443

When I now point my browser to localhost:8000 socat says:

2020/09/06 11:31:50 socat[1903771] E SSL_connect(): error:1425F102:SSL routines:ssl_choose_client_version:unsupported protocol

This sounds as if socat cannot speak the SSL dialect that my printer does.

Is there something else I can do?

1
  • And does openssl s_client -connect myprinter:443 work? Apr 9 at 8:12

1 Answer 1

1

It's very possible that your socat (or the SSL library version it links against) do not support SSL2/SSL3 and that's the best the printer can do. In theory, you can set up a VM with a sufficiently rusty distro, say CentOS5, and build a static socat there, i.e. it will have all libraries baked in. You can then copy that socat binary and hopefully use it on a more modern machine. (configure --help for socat might have a switch to build statically.)

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.